﻿using Syncfusion.Windows.Shared;
using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace GroupbarTesting_new
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

      
        bool CollapseState = false;
        double LastSizePanelSize = 175;
        public MainWindow()
        {
            InitializeComponent();
        //    filterBar.Tag = "";
        }

        private void MainSplitter_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            CollapseState = !CollapseState;

            if (CollapseState)
            {
                LastSizePanelSize = MainGrid.ColumnDefinitions[0].Width.Value;
                MainGrid.ColumnDefinitions[0].MinWidth = 0;
                MainGrid.ColumnDefinitions[0].MaxWidth = 0;
                MainGrid.ColumnDefinitions[0].Width = new GridLength(0);
                MainGrid.ColumnDefinitions[1].Width = new GridLength(30);
            }
            else
            {
                MainGrid.ColumnDefinitions[0].MinWidth = 175;
                MainGrid.ColumnDefinitions[0].MaxWidth = 300;
                MainGrid.ColumnDefinitions[0].Width = new GridLength(LastSizePanelSize);
                MainGrid.ColumnDefinitions[1].Width = new GridLength(3);
            }

        }

        private void filterBar_Loaded(object sender, RoutedEventArgs e)
        {
            if((sender as GroupBar).Orientation==Orientation.Horizontal)
            {
                StackPanel stackPanel = VisualUtils.FindDescendant(
                    (sender as GroupBar), typeof(StackPanel)) as StackPanel;

                if (stackPanel != null)
                {
                    ScrollViewer scroll = VisualUtils.FindDescendant(
                   stackPanel, typeof(ScrollViewer)) as ScrollViewer;

                    if (scroll != null)
                     {
                        scroll.HorizontalScrollBarVisibility = ScrollBarVisibility.Visible;
                        scroll.ScrollToHorizontalOffset(447.94);
                    }
                }

            }
        }

       
    }
}
